Subject: Re: bug#75481: 31.0.50; Segfault on Windows 11 when using Easy Customization buffer

From: Amir Rajan <[email-masked]>
Date: Sat, 11 Jan 2025 03:36:43 -0600

I do think it is related to GMP. When I stepped through the code via GDB,
the segfault occurs when mpz_set_d is invoked. It didn't step into the
function call/segfaulted on the invocation.

* Amir Rajan
** PS
I welcome VSRE emails. Learn more at http://vsre.info/.
** PPS
I reply to every legitimate email I get. So, if you don't hear from me
within a week. Email me again since there's a high chance that the email
got lost in my inbox.

On Sat, Jan 11, 2025 at 3:20 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Amir Rajan <[email-masked]>
> > Date: Sat, 11 Jan 2025 02:26:06 -0600
> > Cc: [email-masked]
> >
> > Typing anything into the search box causes the crash for me.
>
> Then I cannot reproduce this here.
>
> > I’ll get you the values of the parameters soon!
>
> Thank you.
>
> Given that the problem goes away for you if you completely remove the
> calls to functions from the GMP library, my guess so far would be that
> this is some bug in the version of GMP you are using.
>
> Can someone else who uses a 64-bit build of Emacs 31 on Windows
> reproduce this?  If so, what version of GMP is being used?
>